#ifndef _TOOL_H_
#define _TOOL_H_

#include <gdk/gdkevents.h>
#include <cairomm/context.h>

class PolyDraw;

class Tool
{
public:
	Tool(PolyDraw *pd) : draw(pd) {}

	virtual bool on_mouse_down(GdkEventButton *event) = 0;
	virtual bool on_mouse_up(GdkEventButton *event) = 0;
	virtual bool on_mouse_move(GdkEventMotion *event) = 0;

	virtual bool redraw(Cairo::RefPtr<Cairo::Context>& cr) = 0;

protected:
	PolyDraw *draw;
};

#endif